/* Pagination */

/* TODO: Break thist tho parts. Remove nextgen? */

$pagination-style: square; 	// circle | square

$pagination-margin-top: 20px;
$pagination-margin-bottom: 20px;

$pagination-size: 36px;
$pagination-gap: 8px;

$pagination-border-color: var(--brand-color-6);
$pagination-border-style: none;
$pagination-border-width: 1px;

$pagination-font-size: 17px;
$pagination-font-weight: normal;

$pagination-text-color: $oc-gray-9;
$pagination-text-color-hover: $oc-gray-9;
$pagination-text-color-active: $oc-gray-1;

$pagination-background-color: $oc-gray-2;
$pagination-background-color-hover: var(--brand-color-5);
$pagination-background-color-active: var(--brand-color-7);

$pagination-left-icon:  $fa-var-angle-left; 	// angle-left | angle-double-left | arrow-left | chevron-left
$pagination-right-icon: $fa-var-angle-right; 	// angle-right | angle-double-right | arrow-right | chevron-right

// Page links navigation
@if $pagination-page-links == true {
	nav.link-pages {
		padding: {
			top: 5px;
			bottom: 5px;
		}
		font-weight: bold;
		text-align: center;
	}
}

// Post nav pagination
@if $pagination-post-nav == true {
	.posts-nav-link {
		margin: {
			top: 10px;
			bottom: 10px;
		}
		font-weight: bold;
		text-align: center;

		a {
			display: inline-block;
			margin: {
				left: 10px;
				right: 10px;
			}
		}
	}
}

// Wp page numbers pagination
@if $pagination-wp-page-numbers == true {
	#wp_page_numbers,
	nav.pagination {
		//@include reset(list_light);

		ul {
			margin: {
				top: $pagination-margin-top;
				bottom: $pagination-margin-bottom;
			}
			text-align: center;
			word-spacing: 0;
			font-size: 0;
		}

		ul li {
			display: inline-block;
			overflow: hidden;
			margin: {
				left: $pagination-gap / 2;
				right: $pagination-gap / 2;
			}

			a {
				display: block;
				border: {
					color: $pagination-border-color;
					style: $pagination-border-style;
					width: $pagination-border-width;
				}
				width: $pagination-size;
				height: $pagination-size;
				text: {
					align: center;
					decoration: none;
				}
				font: {
					size: $pagination-font-size;
					weight: $pagination-font-weight;
				}
				line-height: $pagination-size;
				color: $pagination-text-color;
				background-color: $pagination-background-color;
				transition: color .33s linear, background-color .3s linear;

				@if $pagination-style == circle {
					border-radius: 50%;
				}

				&:hover {
					color: $pagination-text-color-hover;
					background-color: $pagination-background-color-hover;
				}
			}

			&.active_page a {
				color: $pagination-text-color-active;
				background-color: $pagination-background-color-active;
				cursor: default;
			}
		}

		b:after {
			@include icon($pagination-left-icon);
		}

		strong:after {
			@include icon($pagination-right-icon);
		}
	}
}

// Nextgen gallery pagination
@if $pagination-nextgen-gallery == true {
	body main div.ngg-galleryoverview div.ngg-navigation {
		margin: {
			top: $pagination-margin-top !important;
			bottom: $pagination-margin-bottom !important;
		}
		font-size: 0 !important;
		word-spacing: 0 !important;

		a,
		a.page-numbers,
		a.prev,
		a.next,
		span,
		span.current {
			display: inline-block;
			margin: {
				left: $pagination-gap / 2 !important;
				right: $pagination-gap / 2 !important;
			}
			border: {
				color: $pagination-border-color !important;
				style: $pagination-border-style !important;
				width: $pagination-border-width !important;
			}
			padding: 0 !important;
			width: $pagination-size;
			height: $pagination-size;
			text-align: center;
			font: {
				size: $pagination-font-size;
				weight: $pagination-font-weight;
			}
			line-height: $pagination-size + 1px;
			color: $pagination-text-color;
			$pagination-background-color: transparent;
			transition: color .33s linear, background-color .3s linear;

			@if $pagination-style == circle {
				border-radius: 50%;
			}

			&:hover {
				color: $pagination-text-color-hover !important;
				background-color: $pagination-background-color-hover !important;
			}
		}

		span {
			color: $pagination-text-color-active;
			cursor: default;
			background-color: $pagination-background-color-active;
		}

		a.prev,
		a.next {
			position: relative;
			color: transparent !important;

			&:after {
				position: absolute;
				left: 0;
				top: 0;
				width: $pagination-size;
				height: $pagination-size;
				color: $pagination-text-color;
				transition: color .33s linear, background-color .3s linear;
			}

			&:hover {
				color: $pagination-background-color-hover !important;

				&:after {
					color: $pagination-text-color-active !important;
				}
			}
		}

		a.prev:after {
			@include icon($pagination-left-icon);
		}

		a.next:after {
			@include icon($pagination-right-icon);
		}
	}
}
